# Uses of Interface
net.shibboleth.idp.attribute.resolver.dc.saml.impl.SelfEntityIDResolver

Packages that use SelfEntityIDResolver
Package
Description
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.
net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl
Plug-in component interface implementations used when querying a SAML attribute authority.

## Uses of SelfEntityIDResolver in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.saml.impl declared as SelfEntityIDResolver
Modifier and Type
Field
Description
`private SelfEntityIDResolver`
ExecutableQueryBuilder.`selfEntityIDStrategy`
Strategy for resolving the authority entityID.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl that return SelfEntityIDResolver
Modifier and Type
Method
Description
`SelfEntityIDResolver`
ExecutableQueryBuilder.`getSelfEntityIDStrategy()`
Get the self entity ID resolution strategy.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl with parameters of type SelfEntityIDResolver
Modifier and Type
Method
Description
`void`
ExecutableQueryBuilder.`setSelfEntityIDStrategy(SelfEntityIDResolver strategy)`
Set the self entity ID resolution strategy.

## Uses of SelfEntityIDResolver in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl

Classes in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl that implement SelfEntityIDResolver
Modifier and Type
Class
Description
`class`
`ChainingSelfEntityIDResolver`
An implementation of `SelfEntityIDResolver` which implements a chain-of-responsibility pattern using a list of configured resolvers.
`class`
`CriteriaSelfEntityIDResolver`
An implementation of `SelfEntityIDResolver` which uses a delegated resolver based on an input `CriteriaSet`.
Fields in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl with type parameters of type SelfEntityIDResolver
Modifier and Type
Field
Description
`private List<SelfEntityIDResolver>`
ChainingSelfEntityIDResolver.`resolvers`
List of chain members.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl that return types with arguments of type SelfEntityIDResolver
Modifier and Type
Method
Description
`List<SelfEntityIDResolver>`
ChainingSelfEntityIDResolver.`getResolvers()`
Get the list of chain members.
Method parameters in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl with type arguments of type SelfEntityIDResolver
Modifier and Type
Method
Description
`void`
ChainingSelfEntityIDResolver.`setResolvers(List<SelfEntityIDResolver> chain)`
Set the list of chain members.